golddig X11 Game Arbitrary File Overwrite Vulnerability

A vulnerability exists in the golddig2 game, by Alexander Siegel. It was discovered during a security audit of the golddig2 package by the FreeBSD ports team, that the makelev program can be used to overwrite arbitrary files, as it is by default installed setuid root. The contents of the file is not arbitrary, however, so it is not immediately clear whether this program could be used to elevate privilege. That the makelev program being setuid is a potential security problem is documented in the original Makefile for golddig.

While this vulnerability exists in the ports package for FreeBSD 3, 4 and 5-current, it is not a FreeBSD vulnerability. Packages in the ports collection are not installed by default, and are provided as is.


 

Privacy Statement
Copyright 2010, SecurityFocus